[ARVADOS] updated: a795e5e02791cb7920aaded26bfa83a7ace1f386
Git user
git at public.curoverse.com
Wed May 10 21:26:25 EDT 2017
Summary of changes:
build/run-build-packages-one-target.sh | 8 ++++++++
build/run-library.sh | 6 +++++-
2 files changed, 13 insertions(+), 1 deletion(-)
via a795e5e02791cb7920aaded26bfa83a7ace1f386 (commit)
from 02b75a37c98f3357ba079d01166576153032a238 (commit)
Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.
commit a795e5e02791cb7920aaded26bfa83a7ace1f386
Author: Ward Vandewege <ward at curoverse.com>
Date: Wed May 10 21:10:02 2017 -0400
Be smarter about how we handle packages built in previous runs.
This commit fixes a bug: packages that were built but failed testing
will no longer be uploaded later, when a subsequent set of packages
passes the tests.
No issue #
diff --git a/build/run-build-packages-one-target.sh b/build/run-build-packages-one-target.sh
index 685ca51..5cfdfe6 100755
--- a/build/run-build-packages-one-target.sh
+++ b/build/run-build-packages-one-target.sh
@@ -194,6 +194,14 @@ if [[ -n "$test_packages" ]]; then
else
echo
echo "START: build packages on $IMAGE" >&2
+ # Move existing packages and other files into the processed/ subdirectory
+ if [[ ! -e "${WORKSPACE}/packages/${TARGET}/processed" ]]; then
+ mkdir -p "${WORKSPACE}/packages/${TARGET}/processed"
+ fi
+ set +e
+ mv -f ${WORKSPACE}/packages/${TARGET}/* ${WORKSPACE}/packages/${TARGET}/processed/ 2>/dev/null
+ set -e
+ # Build packages
if docker run --rm \
"${docker_volume_args[@]}" \
--env ARVADOS_DEBUG=$ARVADOS_DEBUG \
diff --git a/build/run-library.sh b/build/run-library.sh
index a1dc415..00839c1 100755
--- a/build/run-library.sh
+++ b/build/run-library.sh
@@ -226,8 +226,12 @@ test_package_presence() {
local complete_pkgname="$pkgname-$version-$iteration.$rpm_architecture.rpm"
fi
- if [[ -e "$complete_pkgname" ]]; then
+ # See if we can skip building the package, only if it already exists in the
+ # processed/ directory. If so, move it back to the packages directory to make
+ # sure it gets picked up by the test and/or upload steps.
+ if [[ -e "processed/$complete_pkgname" ]]; then
echo "Package $complete_pkgname exists, not rebuilding!"
+ mv processed/$complete_pkgname .
return 1
else
echo "Package $complete_pkgname not found, building"
-----------------------------------------------------------------------
hooks/post-receive
--
More information about the arvados-commits
mailing list